For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
            • GETList payout batches for paypoint
            • GETList payout batches for org
            • GETList payouts by paypoint
            • GETList payouts by org
            • GETList vcards by paypoint
            • GETList vcards by org
            • GETList vcard transactions by paypoint
            • GETList vcard transactions by org
            • GETGet list of outbound transfers for an organization
            • GETGet list of outbound transfers for a paypoint
            • GETGet outbound transfer details
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay Out endpointsPay Out reportingQuery

List vcards by paypoint

|View as Markdown|Open in Claude|
GET
/Query/vcards/:entry
GET
/api/Query/vcards/:entry
$curl -G https://api-sandbox.payabli.com/api/Query/vcards/8cfec329267 \
> -H "requestToken: <apiKey>" \
> -d fromRecord=251 \
> -d limitRecord=0 \
> -d sortBy=desc(field_name)
1{
2 "Summary": {
3 "totalPages": 1,
4 "totalRecords": 5,
5 "totalAmount": 2500,
6 "totalactive": 5,
7 "totalamountactive": 2500,
8 "totalbalanceactive": 1875.25,
9 "totalNetAmount": 0,
10 "pageidentifier": "XXXXXXXXXXXXXX",
11 "pageSize": 20
12 },
13 "Records": [
14 {
15 "vcardSent": true,
16 "cardType": 0,
17 "cardToken": "vcrd_5Ty8NrBzXjKuqHm9DwElfP",
18 "cardNumber": "44XX XXXX XXXX 1234",
19 "cvc": "XXX",
20 "expirationDate": "2025-12",
21 "status": "Active",
22 "amount": 500,
23 "currentBalance": 375.25,
24 "expenseLimit": 100,
25 "expenseLimitPeriod": "monthly",
26 "maxNumberOfUses": 10,
27 "currentNumberOfUses": 3,
28 "exactAmount": false,
29 "mcc": "5812",
30 "tcc": "T01",
31 "misc1": "Invoice #12345",
32 "misc2": "Project: Office Supplies",
33 "dateCreated": "2023-01-15T09:30:00Z",
34 "dateModified": "2023-02-20T14:15:22Z",
35 "associatedVendor": {
36 "VendorNumber": "V-12345",
37 "Name1": "Office Supply Co.",
38 "EIN": "XXXXX6789",
39 "Email": "billing@officesupply.example.com",
40 "VendorId": 1542
41 },
42 "associatedCustomer": {
43 "firstname": "Acme",
44 "lastname": "Corporation"
45 },
46 "ParentOrgName": "SupplyPro",
47 "PaypointDbaname": "Global Factory LLC",
48 "PaypointLegalname": "Global Factory LLC",
49 "PaypointEntryname": "4872acb376a",
50 "externalPaypointID": "pay-10",
51 "paypointId": 236
52 }
53 ]
54}

Retrieve a list of vcards (virtual credit cards) issued for an entrypoint. Use filters to limit results. Include the exportFormat query parameter to return the results as a file instead of a JSON response.

Was this page helpful?
Previous

List payouts by org

Next

List vcards by org

Authentication

requestTokenstring
API Key authentication via header

Path parameters

entrystringRequired

The entity’s entrypoint identifier. Learn more

Query parameters

exportFormatenumOptional
Export format for file downloads. When specified, returns data as a file instead of JSON.
Allowed values:
fromRecordintegerOptionalDefaults to 0
The number of records to skip before starting to collect the result set.
limitRecordintegerOptionalDefaults to 20

Max number of records to return for the query. Use 0 or negative value to return all records.

parametersmap from strings to nullable stringsOptional
Collection of field names, conditions, and values used to filter the query. <Info> **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.** Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client. For example: --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20 should become: --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20 </Info> List of field names accepted: - `status` (eq, ne, ct, nct, sw, ew) - `createdAt` (gt, ge, lt, le, eq, ne) - `cardToken` (ct, nct, eq, ne) - `lastFour` (ct, nct, eq, ne) - `expirationDate` (ct, nct, eq, ne) - `payoutId` (eq, ne, gt, ge, lt, le) - `vendorId` (eq, ne, gt, ge, lt, le) - `miscData1` (ct, nct, eq, ne) - `miscData2` (ct, nct, eq, ne) - `currentUses` (gt, ge, lt, le, eq, ne) - `amount` (gt, ge, lt, le, eq, ne) - `balance` (gt, ge, lt, le, eq, ne) - `paypointLegal` (ne, eq, ct, nct) - `paypointDba` (ne, eq, ct, nct) - `orgName` (eq, ne, ct, nct, sw, ew) - `externalPaypointId` (ct, nct, eq, ne) - `paypointId` (eq, ne, gt, ge, lt, le) - `cardType` (eq, ne, gt, ge, lt, le) List of comparison accepted - enclosed between parentheses: - eq or empty => equal - gt => greater than - ge => greater or equal - lt => less than - le => less or equal - ne => not equal - ct => contains - nct => not contains - sw => starts with - ew => ends with - in => inside array separated by "|" - nin => not inside array separated by "|"
sortBystringOptional

The field name to use for sorting results. Use desc(field_name) to sort descending by field_name, and use asc(field_name) to sort ascending by field_name.

Response

Success
Summaryobject
Recordslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error

Collection of field names, conditions, and values used to filter the query.

You must remove parameters= from the request before you send it, otherwise Payabli will ignore the filters.

Because of a technical limitation, you can’t make a request that includes filters from the API console on this page. The response won’t be filtered. Instead, copy the request, remove parameters= and run the request in a different client.

For example:

—url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20

should become:

—url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20

List of field names accepted:

  • status (eq, ne, ct, nct, sw, ew)
  • createdAt (gt, ge, lt, le, eq, ne)
  • cardToken (ct, nct, eq, ne)
  • lastFour (ct, nct, eq, ne)
  • expirationDate (ct, nct, eq, ne)
  • payoutId (eq, ne, gt, ge, lt, le)
  • vendorId (eq, ne, gt, ge, lt, le)
  • miscData1 (ct, nct, eq, ne)
  • miscData2 (ct, nct, eq, ne)
  • currentUses (gt, ge, lt, le, eq, ne)
  • amount (gt, ge, lt, le, eq, ne)
  • balance (gt, ge, lt, le, eq, ne)
  • paypointLegal (ne, eq, ct, nct)
  • paypointDba (ne, eq, ct, nct)
  • orgName (eq, ne, ct, nct, sw, ew)
  • externalPaypointId (ct, nct, eq, ne)
  • paypointId (eq, ne, gt, ge, lt, le)
  • cardType (eq, ne, gt, ge, lt, le)

List of comparison accepted - enclosed between parentheses:

  • eq or empty => equal
  • gt => greater than
  • ge => greater or equal
  • lt => less than
  • le => less or equal
  • ne => not equal
  • ct => contains
  • nct => not contains
  • sw => starts with
  • ew => ends with
  • in => inside array separated by ”|”
  • nin => not inside array separated by ”|”